---
- name: deploy dotfiles to home dir
  template:
    src: "{{ item.src }}"
    dest: "{{ ansible_env.HOME }}/{{ item.dest }}"
    mode: 0644
  with_items:
    - src: git-commit-template.commit.j2
      dest: .git-commit-template.commit
    - src: tmux.conf.j2
      dest: .tmux.conf
    - src: bash_aliases.j2
      dest: .bash_aliases

- name: install acpi for tmux cpu plugin
  become: true
  apt:
    name: acpi
    state: latest

- name: clone the Tmux Plugin Manager repo
  git:
    repo: https://github.com/tmux-plugins/tpm
    dest: "{{ ansible_env.HOME }}/.tmux/plugins/tpm"

- name: ensure git directories are created
  file:
    path: "{{ ansible_env.HOME}}/Repos/{{ item.0 }}/{{ item.1 }}"
    state: directory
  with_nested:
    -
      - open-source
      - work
    -
      - ansible-roles
      - ansible-playbooks
      - others

- name: Add the gitconfig with custom User and Email
  template:
    src: "{{ item.src }}"
    dest: "{{ ansible_env.HOME }}/.{{ item.dest }}"
  with_items:
    - src: gitconfig.j2
      dest: gitconfig
    - src: gitconfig_open_source.j2
      dest: gitconfig_open_source
    - src: gitconfig_work.j2
      dest: gitconfig_work

- name: symlink the git credential store
  file:
    src: "{{ git_cred_store_path }}"
    dest: "{{ ansible_env.HOME }}/.git-credentials"
    force: true
    state: link
